#!/bin/bash
#
# MM-220112
# Linux script to flash a MSP430G2553 Launchpad using mspdebug
#

IMAGE="430eforth-x-43n7vis.hex"

echo -ne "\033[1mMSPDebug: Program MSP430G2553 LaunchPad with $IMAGE ?\033[0m"

read -n 1 -p " [N/y] " REPLY ; echo

if [ ! "$REPLY" == "y" ] ; then exit ; fi

mspdebug rf2500 'erase all' "prog $IMAGE" "verify $IMAGE" exit

